/* $Id$ */
/*============================================================================*
 |                 Copyright (c) 2013 Applaud Solutions UK Ltd                |
 |                             All rights reserved                            |
 *===========================================================================*/

SET VERIFY OFF
SET FEEDBACK OFF
SET SCAN OFF
WHENEVER OSERROR  EXIT FAILURE ROLLBACK
WHENEVER SQLERROR EXIT FAILURE ROLLBACK



DECLARE 

  e_dir_exists EXCEPTION;
  PRAGMA EXCEPTION_INIT(e_dir_exists, -31003);

  e_does_not_exists EXCEPTION;
  PRAGMA EXCEPTION_INIT(e_does_not_exists , -31001);

  result boolean;
  
BEGIN

  BEGIN

    result := DBMS_XDB.createfolder('/public/xxas/');
    result := DBMS_XDB.createfolder('/public/xxas/emp/');
    result := DBMS_XDB.createfolder('/public/xxas/emp/view/');

  EXCEPTION
    WHEN e_dir_exists THEN
      NULL;
  END;

  
  BEGIN

    DBMS_XDB.DeleteResource('/public/xxas/emp/view/perf_rev_reassign.xml');

  EXCEPTION  
    WHEN e_does_not_exists THEN
      NULL;
  END;
  
  result := DBMS_XDB.createresource('/public/xxas/emp/view/perf_rev_reassign.xml',
'<View submitLabel="{message.XXAS_RB_COM_SAVE}" title="Performance review" defaultFormHandler="xxas_perf_review_pkg.handle_step_reassign">
  <EditFields>
      <Hidden id="PERF_REVIEW_FORM_ID"/>
	  <Hidden id="CURRENT_STEP_ID"/>
      <Poplist id="REVIEWER_PERSON_ID" label="{message.XXAS_PERF_CHOOSE_PARTICIPANT}" required="true" listProvider="REST:reviewstep/participants/${field.CURRENT_STEP_ID}"/>
  </EditFields>
</View>
' ); 
xxas_forms_pkg.update_forms_resource('/public/xxas/emp/view/perf_rev_reassign.xml');
END;
/
COMMIT;
EXIT;
